import type { IDispatchScriptOptions, IChunks, IModule } from './types';
export declare const ROOT_NAME = "MAIN";
export declare const VENDER_PATH = "common/vendor";
/**
 * 获取主包页面，比如`src/project/user/views/index/index-home.vue`
 */
export declare function getMainPackagePages(): string[];
/**
 * 获取main.js路径，比如`src/project/user/main.js`
 */
export declare function getMainJSPath(): string;
/**
 * 获取页面列表
 */
export declare function getPagesList(): string[];
/**
 * path是否为页面路径
 * @example
 * src/project/user/views/match-data/rank.vue // true
 * src/local-logic/tip-match/homepage/homepage.js // false
 */
export declare function isPage(path: string): boolean;
/**
 * 获取页面对应的分包
 */
export declare function getPageSubPackages(page: string): string | undefined;
export declare function baseTest(module: IModule, options: IDispatchScriptOptions): boolean;
export declare const findSubPackages: (chunks: IChunks) => Set<unknown>;
export declare const hasMainPackage: (chunks: IChunks) => {
    name: string;
} | undefined;
export declare const findNameChunk: (chunks: IChunks, name: string) => {
    name: string;
} | undefined;
